Page MenuHomePhabricator

Some of the hebrew characters are not in proper order
Closed, InvalidPublic

Description

displays correct & incorrect character order

Noticed in Wikisource version 1.24wmf7 (b8870ae) that the Hebrew character order was literally reversed from its old left to right order which placed some of the Hebrew "end" characters before the normal character. This is also true in the Wikipedia Charinsert, so I assume that it's a universal issue.

Attached please find a combined screenshot of the Charinsert with the incorrect order, and from the en.Wikipedia page [https://en.wikipedia.org /wiki/Hebrew_alphabet of the Hebrew language alphabet] which I numbered the relevant characters from 1 to 21.

In the Charinsert the following pairs of characters appear in the wrong position:

11 and 12
14 and 15
16 and 17
20 and 21

need to be reversed.


Version: REL1_23-branch
Severity: normal

Attached:

Details

Reference
bz66348

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:09 AM
bzimport added projects: CharInsert, I18n.
bzimport set Reference to bz66348.
bzimport added a subscriber: Unknown Object (MLST).
Ineuw created this task.Jun 8 2014, 7:25 PM
Ineuw added a comment.Jun 8 2014, 7:44 PM

Please include in the character reversal, numbers 22 and 23. I forgot to include these and didn't number them.

Thanks.

On which site do you see this exactly? In which skin?

CharInsert hasn't really been updated in a long while, and I cannot reproduce this anywhere, so I'm not sure that I understand what does this bug refer to.

Ineuw added a comment.Jun 9 2014, 5:14 PM

Please look at the bottom of the attached image where I included the current Hebrew character placements of Charinsert. The upper (correct) image is from Wikipedia which I included and numbered for reference.

The bug refers to the Charinsert's incorrect placement of ALL five end (sofit) characters which should follow the regular characters (in the right to left character order):

Chaf sofit precedes Chaf,
Mem sofit precedes Mem,
Nun sofit precedes Nun,
Peh sofit precedes Peh
Tzadik sofit precedes Tzadik

In both en. Wikipedia and en. Wikisource I am using the Modern skin and have the same issue.

mw version 1.24wmf7 (b8870ae).

Charinsert doesn't list a version number.

Ineuw added a comment.Jun 9 2014, 5:17 PM

Created attachment 15604
Showing the incorrect order of hebrew characters feom Charinsert

Attached:

It's not the CharInsert extension, but the charinsert gadget: https://en.wikisource.org/wiki/MediaWiki:Gadget-charinsert.js . It should be fixed by the local gadget developers.

I resolved it in the English Wikipedia.

Ineuw added a comment.Jun 10 2014, 5:38 PM

Thanks for the info. I shall deal with it locally.

[Restoring INVALID resolution as gadgets are out of scope for Bugzilla]